package mvc;

import java.io.IOException;

import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class SimpleController extends HttpServlet
{
   
	private static final long serialVersionUID = 1L;

	protected void doPost(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException
    {
        String action = request.getParameter("action");
        String jspPage = "/index.jsp";

        System.out.println(action);
        
        if ("displaylist".equals(action))
        {
            List<Customer> customers = CustomerManager.getCustomers();
            request.setAttribute("customers", customers);

            jspPage = "/displayList.jsp";
        }
        else if ("displaycustomer".equals(action))
        {
            String id = request.getParameter("id");
            Customer customer = CustomerManager.getCustomer(id);
            request.setAttribute("customer", customer);

            jspPage = "/displayCustomer.jsp";
        }
        else if ("editcustomer".equals(action))
        {
            String id = request.getParameter("id");
            Customer customer = CustomerManager.getCustomer(id);
            request.setAttribute("customer", customer);

            jspPage = "/editCustomer.jsp";            
        }
        else if ("editcustomerexe".equals(action))
        {
        	//itt kene meghivni azt az uzleti logika kodot
        	//ami lementi az adatbazisba a valtoztatast...
            request.setAttribute("lementes", "valami");
            String id = request.getParameter("id");
            Customer customer = CustomerManager.getCustomer(id);
            request.setAttribute("customer", customer);
            jspPage = "/editCustomer.jsp";  
            
        }

        dispatch(jspPage, request, response);
    }

    protected void dispatch(String jsp, HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException
    {
        if (jsp != null)
        {
            RequestDispatcher rd = request.getRequestDispatcher(jsp);
            rd.forward(request, response);
        }
    }

    protected void doGet(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException
    {
        doPost(request, response);
    }
}
